GWT 2.7.0

## com.google.gwt.core.ext
Interface SelectionProperty

All Known Implementing Classes:
  DefaultSelectionProperty

    public interface SelectionProperty

A named deferred binding (property, value) pair for use in generators.

See Also:
  `A similarly-named analog for linkers.`

Method Summary
`java.lang.String` | `getCurrentValue()` The value for the permutation currently being considered.
`java.lang.String` | `getFallbackValue()` Gets the fallback value for the property.
`java.util.List<? extends java.util.Set<java.lang.String>>` | `getFallbackValues(java.lang.String value)` Returns the list of fall back values for a given value.
`java.lang.String` | `getName()` The name of the property.
`java.util.SortedSet<java.lang.String>` | `getPossibleValues()` Returns the possible values for the property in sorted order.

Method Detail

### getName

    java.lang.String getName()

  The name of the property.

  Returns:
    the property name as a String.

### getCurrentValue

    java.lang.String getCurrentValue()

  The value for the permutation currently being considered.

  Returns:
    the property value as a String.

### getFallbackValue

    java.lang.String getFallbackValue()

  Gets the fallback value for the property.

  Returns:
    the fallback, or ""

### getFallbackValues

    java.util.List<? extends java.util.Set<java.lang.String>> getFallbackValues(java.lang.String value)

  Returns the list of fall back values for a given value.

  Parameters:
    `value` - the property value
  Returns:
    the fall back list of values by increasing order of preference.

### getPossibleValues

    java.util.SortedSet<java.lang.String> getPossibleValues()

  Returns the possible values for the property in sorted order.

  Returns:
    a SortedSet of Strings containing the possible property values.

GWT 2.7.0